pcl::PackedRGBComparison< PointT > Class Template Reference

A packed rgb specialization of the comparison object. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::PackedRGBComparison< PointT >:

## Public Types

typedef boost::shared_ptr< PackedRGBComparison< PointT > > | Ptr
typedef boost::shared_ptr< const PackedRGBComparison< PointT > > | ConstPtr
Public Types inherited from pcl::ComparisonBase< PointT >
typedef boost::shared_ptr< ComparisonBase< PointT > > | Ptr
typedef boost::shared_ptr< const ComparisonBase< PointT > > | ConstPtr

## Public Member Functions

| PackedRGBComparison (std::string component_name, ComparisonOps::CompareOp op, double compare_val)
| Construct a PackedRGBComparison. More...
virtual | ~PackedRGBComparison ()
| Destructor. More...
virtual bool | evaluate (const PointT &point) const
| Determine the result of this comparison. More...
Public Member Functions inherited from pcl::ComparisonBase< PointT >
| ComparisonBase ()
| Constructor. More...
virtual | ~ComparisonBase ()
| Destructor. More...
bool | isCapable () const
| Return if the comparison is capable. More...

## Protected Attributes

std::string | component_name_
| The name of the component. More...
uint32_t | component_offset_
| The offset of the component. More...
double | compare_val_
| All types (that we care about) can be represented as a double. More...
Protected Attributes inherited from pcl::ComparisonBase< PointT >
bool | capable_
| True if capable. More...
std::string | field_name_
| Field name to compare data on. More...
uint32_t | offset_
| The data offset. More...
ComparisonOps::CompareOp | op_
| The comparison operator type. More...

## Detailed Description

### template<typename PointT>
class pcl::PackedRGBComparison< PointT >

A packed rgb specialization of the comparison object.

Definition at line 193 of file conditional_removal.h.

## Member Typedef Documentation

template<typename PointT >

typedef boost::shared_ptr< const PackedRGBComparison<PointT> > pcl::PackedRGBComparison< PointT >::ConstPtr

Definition at line 200 of file conditional_removal.h.

template<typename PointT >

typedef boost::shared_ptr< PackedRGBComparison<PointT> > pcl::PackedRGBComparison< PointT >::Ptr

Definition at line 199 of file conditional_removal.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::PackedRGBComparison< PointT >::PackedRGBComparison | ( | std::string | component_name,
|  | ComparisonOps::CompareOp | op,
|  | double | compare_val
| ) |  |

Construct a PackedRGBComparison.

Parameters

  component_name | either "r", "g" or "b"
  op | the operator to use when making the comparison
  compare_val | the constant value to compare the component value too

Definition at line 140 of file conditional_removal.hpp.

References pcl::ComparisonBase< PointT >::capable_, pcl::PackedRGBComparison< PointT >::component_offset_, pcl::PCLPointField::FLOAT32, pcl::getFields(), pcl::PCLPointField::INT32, pcl::ComparisonBase< PointT >::op_, and pcl::PCLPointField::UINT32.

template<typename PointT >

virtual pcl::PackedRGBComparison< PointT >::~PackedRGBComparison | ( |  | ) |

inline virtual

Destructor.

Definition at line 210 of file conditional_removal.h.

## Member Function Documentation

template<typename PointT >

bool pcl::PackedRGBComparison< PointT >::evaluate | ( | const PointT & | point | ) | const

virtual

Determine the result of this comparison.

Parameters

  point | the point to evaluate

Returns
  the result of this comparison.

Implements pcl::ComparisonBase< PointT >.

Definition at line 203 of file conditional_removal.hpp.

References pcl::PackedRGBComparison< PointT >::compare_val_, pcl::PackedRGBComparison< PointT >::component_offset_, pcl::ComparisonOps::EQ, pcl::ComparisonOps::GE, pcl::ComparisonOps::GT, pcl::ComparisonOps::LE, pcl::ComparisonOps::LT, and pcl::ComparisonBase< PointT >::op_.

## Member Data Documentation

template<typename PointT >

double pcl::PackedRGBComparison< PointT >::compare_val_

protected

All types (that we care about) can be represented as a double.

Definition at line 227 of file conditional_removal.h.

Referenced by pcl::PackedRGBComparison< PointT >::evaluate().

template<typename PointT >

std::string pcl::PackedRGBComparison< PointT >::component_name_

protected

The name of the component.

Definition at line 221 of file conditional_removal.h.

template<typename PointT >

uint32_t pcl::PackedRGBComparison< PointT >::component_offset_

protected

The offset of the component.

Definition at line 224 of file conditional_removal.h.

Referenced by pcl::PackedRGBComparison< PointT >::evaluate(), and pcl::PackedRGBComparison< PointT >::PackedRGBComparison().

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/conditional_removal.h
- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/impl/conditional_removal.hpp